Subject: rxvt: inheritance: shell, path and aliases
From: "Fergus on Linux" <[email-masked]>
To: <[email-masked]>
Cc: "Fergus on Linux" <[email-masked]>
Date: Thu, 16 Aug 2001 07:27:57 +0100

Thank you for a terrific distribution.
I have installed Cygwin in full and start it conventionally with
/bin/bash --login -i.
In ~/.bash_profile I set a path with PATH=, a prompt with PS1=; and also a
number of aliases -- for example
    alias rm="rm -i"
    alias ls="ls --color"
My question is this: when I open a rxvt terminal window with rxvt <Enter>,
then I find using echo $SHELL that the shell is still /bin/bash as required;
using echo $PATH the path is evidently preserved; the prompt is still as
required; but the aliases have _not_ been inherited.
Of course, I can re-define aliases in the rxvt window but this is a pain. Or
I can use some sort of script but this is untidy. Can you offer a suggestion
for why this problem might occur? Change the syntax for the way aliasing is
achieved in ~/.bash_profile? Tweak rxvt and update (if it is indeed a
problem with rxvt itself)?
Thank you very much for any help anybody might feel able to offer.
Fergus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/